/**********************************************************************
*																	  *
* rekürsive şekilde iki sayının OBEBini bulan program						  			  *
*																	  *
* derlemek icin: gcc -o program_ismi 3.c						  	  *
*																	  *
**********************************************************************/

#include<stdio.h>
#include <stdlib.h>

int obeb(int a,int b);

main()
{
int sayi1,sayi2;

printf("iki sayi giriniz:");
scanf("%d %d",&sayi1, &sayi2);

printf("OBEB : %d\n",obeb( sayi1,sayi2 ));

	system("pause");
}

//Girilen sayılardan biri 0 ise OBEB değeri diğer sayı kadardır.  
//Eğer b, a'yı tam bölüyorsa (yani a(mod b)=0 ise) OBEB dağeri b kadardır.
//Bölemiyorsa 'obeb' fonksiyonu "b" ve "a'nın b'ye bölümünden kalan"
//parametreleriyle tam bölen değer bulunana kadar çağırılır.

int obeb(int a, int b)
{
   if (b == 0)
      return a;
   else
      return obeb(b, a % b);
}
